setCursor(obj.pobitaya_8_0.id,2);
setCursor(obj.door_HollMuzeya_8_0.id,6);
setCursor(obj.door_Notarius_8_0.id,2);
playeffect("korr_o",true)

setCursor(obj.door_Detskaya_8_0.id,2);
setCursor(obj.door_Bedroom_8_0.id,2);
setCursor(obj.Vaza_8_0.id,4);
setCursor(obj.kran_8_0.id,4);

function SelectRandom()
  if not flags.vazarazbita then
    giveMeHint(obj.Vaza_8_0.id);
  return end
  if flags.vazarazbita and not flags.videlKartinu then
    giveMeHint(obj.pobitaya_8_0.id);
  return end
  if obj.kran_8_0 and not obj.kran_8_0.is_collapsed then
    giveMeHint(obj.kran_8_0.id);
  return end
  if obj.svitok_6_12 and obj.svitok_6_12.is_collapsed and not neighbors.Perja.lock then
    giveMeHint(obj.door_Notarius_8_0.id);
  return end
  if obj.kuskiMedveda_3_14 and obj.kuskiMedveda_3_14.is_collapsed and not neighbors.Medved.lock then
    giveMeHint(obj.door_Detskaya_8_0.id);
  return end
  if obj.pyatnashki_6_10 and obj.pyatnashki_6_10.is_collapsed and not neighbors.Pyatnashki.lock then
    giveMeHint(obj.door_Bedroom_8_0.id);
  return end
  CreatePlashechka("10001")
end

if neighbors.Perja.lock then
  setCursor(obj.door_Notarius_8_0.id,8)
  set_visible_object(obj.dverKabinet_8_0.id,true)
  StopEmiter("Standart_8_4");
else
  set_visible_object(obj.dverKabinet_8_0.id,false)
end

if neighbors.Medved.lock then
  setCursor(obj.door_Detskaya_8_0.id,8)
  set_visible_object(obj.dverDetskaya_8_0.id,true)
  StopEmiter("Standart_8_3");
else
  set_visible_object(obj.dverDetskaya_8_0.id,false)
end

if neighbors.Pyatnashki.lock then
  setCursor(obj.door_Bedroom_8_0.id,8)
  set_visible_object(obj.dverBedroom_8_0.id,true)
  StopEmiter("Standart_8_2");
else
  set_visible_object(obj.dverBedroom_8_0.id,false)
end

if flags.vazarazbita then
  set_visible_object(obj.Vaza_8_0.id,false)
  set_visible_object(obj.pobitaya_8_0.id,true)
  -- AddEmiter(obj.kran_8_0.id,"Inv_8_0");
  -- StartEmiter("Inv_8_0");  
end

if neighbors.KoridorMuzeyaVaza.lock then
  ActivateObject(obj.pobitaya_8_0.id,false)
  setCursor(obj.pobitaya_8_0.id,3)
  -- StopEmiter("Standart_8_2");
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==1 then
    if obj_id == obj.kran_8_0.id then
      StoreObj(obj.kran_8_0.id)
      StopEmiter("Inv_8_0");
    end
    if obj_id == obj.Vaza_8_0.id then
      Block_Show_Cur(true)
      speciale_action(2,obj.Vaza_8_0.id,true,0.1)
      speciale_action(2,obj.Vaza2_8_0.id,true,0.1)
      StartTimer(timerID,0.11,"frame1")
    end
    if obj_id == obj.door_HollMuzeya_8_0.id then
      jump("HollMuzeya");
    end;
    if obj_id == obj.door_Notarius_8_0.id then
      if neighbors.Perja.lock then
        jump("Notarius")
      else
        CreateSatelite("Perja")
        playeffect("sat")
      end
    end;
    if obj_id == obj.door_Detskaya_8_0.id then
      if neighbors.Medved.lock then
        jump("Detskaya")
      else
        CreateSatelite("Medved")
        playeffect("sat")
      end
    end;
    if obj_id == obj.door_Bedroom_8_0.id then
      if neighbors.Pyatnashki.lock then
        jump("Bedroom")
      else
        CreateSatelite("Pyatnashki")
        playeffect("sat")
      end
    end;
    if obj_id == obj.pobitaya_8_0.id then
      CreateSatelite("KoridorMuzeyaVaza");
      playeffect("sat")
    end;
  end
end

function frame1()
  speciale_action(2,obj.Vaza3_8_0.id,true,0.1)
  speciale_action(2,obj.Vaza2_8_0.id,true,0.1)
  
  StartTimer(timerID,0.11,"frame2")
end

function frame2()
  speciale_action(2,obj.Vaza3_8_0.id,true,0.1)
  speciale_action(2,obj.pobitaya_8_0.id,true,0.1)
  playeffect("vase_br")
  StartEmiter("lev_2_0")
  StartTimer(timerID,0.11,"frame3")
end

function frame3()
  neighbors.DorogaKMuzeyuHidden.lock = false
  StopEmiter("lev_2_0",true)
  Block_Show_Cur(false)
  CreatePlashechka("684")
  flags.vazarazbita = true
end